<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__anss__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_anss_t</compoundname>
    <includes local="no">cy_ble_ans.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__anss__t_1a56c6a3c7a422eee4431faa6ca26efea8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_anss_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>The Alert Notification Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="115" />
      </memberdef>
      <memberdef id="structcy__stc__ble__anss__t_1a0326b9b2a02188d676c97fbe6d6df8c6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__anss__char__t">cy_stc_ble_anss_char_t</ref></type>
        <definition>cy_stc_ble_anss_char_t cy_stc_ble_anss_t::charInfo[CY_BLE_ANS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_ANS_CHAR_COUNT]</argsstring>
        <name>charInfo</name>
        <briefdescription>
<para>The array of the Alert Notification Service Characteristics + Descriptors handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="118" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="118" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The structure with the Alert Notification Service attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="102">
        <label>cy_stc_ble_anss_char_t</label>
        <link refid="structcy__stc__ble__anss__char__t" />
      </node>
      <node id="101">
        <label>cy_stc_ble_anss_t</label>
        <link refid="structcy__stc__ble__anss__t" />
        <childnode refid="102" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="119" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="112" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="113" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__anss__t_1a0326b9b2a02188d676c97fbe6d6df8c6" virt="non-virtual"><scope>cy_stc_ble_anss_t</scope><name>charInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__anss__t_1a56c6a3c7a422eee4431faa6ca26efea8" virt="non-virtual"><scope>cy_stc_ble_anss_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>